org.apache.lucene.analysis.opennlp

## Class OpenNLPChunkerFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.opennlp.OpenNLPChunkerFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class OpenNLPChunkerFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

Factory for `OpenNLPChunkerFilter`.

     <fieldType name="text_opennlp_chunked" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.OpenNLPTokenizerFactory" sentenceModel="filename" tokenizerModel="filename"/>
         <filter class="solr.OpenNLPPOSFilterFactory" posTaggerModel="filename"/>
         <filter class="solr.OpenNLPChunkerFilterFactory" chunkerModel="filename"/>
       </analyzer>
     </fieldType>

Since:
  7.3.0
SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
  "openNlpChunker"

### Field Summary

Fields
`static String` `CHUNKER_MODEL`
`static String` `NAME` SPI name

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`OpenNLPChunkerFilterFactory(Map<String,String> args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`OpenNLPChunkerFilter` `create(TokenStream in)`
`void` `inform(ResourceLoader loader)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

SPI name

See Also:
  Constant Field Values

#### CHUNKER_MODEL

    public static final String CHUNKER_MODEL

See Also:
  Constant Field Values

### Constructor Detail

#### OpenNLPChunkerFilterFactory

    public OpenNLPChunkerFilterFactory(Map<String,String> args)

### Method Detail

#### create

    public OpenNLPChunkerFilter create(TokenStream in)

Specified by:
  `create` in class `TokenFilterFactory`

#### inform

    public void inform(ResourceLoader loader)

Specified by:
  `inform` in interface `ResourceLoaderAware`